org.apache.cayenne.merge

## Interface ModelMergeDelegate

-     public interface ModelMergeDelegate

  A interface used to tell about modifications performed on the model by `MergerToken` with `MergeDirection.TO_MODEL`
  See Also:
    `DbLoaderDelegate`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dbAttributeAdded(DbAttribute att)`
    `void` | `dbAttributeModified(DbAttribute att)`
    `void` | `dbAttributeRemoved(DbAttribute att)`
    `void` | `dbEntityAdded(DbEntity ent)`
    `void` | `dbEntityRemoved(DbEntity ent)`
    `void` | `dbRelationshipAdded(DbRelationship rel)`
    `void` | `dbRelationshipRemoved(DbRelationship rel)`
    `void` | `objAttributeAdded(ObjAttribute att)`
    `void` | `objAttributeModified(ObjAttribute att)`
    `void` | `objAttributeRemoved(ObjAttribute att)`
    `void` | `objEntityAdded(ObjEntity ent)`
    `void` | `objEntityRemoved(ObjEntity ent)`
    `void` | `objRelationshipAdded(ObjRelationship rel)`
    `void` | `objRelationshipRemoved(ObjRelationship rel)`

- - ### Method Detail

    - #### dbEntityAdded

          void dbEntityAdded(DbEntity ent)

    - #### dbEntityRemoved

          void dbEntityRemoved(DbEntity ent)

    - #### objEntityAdded

          void objEntityAdded(ObjEntity ent)

    - #### objEntityRemoved

          void objEntityRemoved(ObjEntity ent)

    - #### dbAttributeAdded

          void dbAttributeAdded(DbAttribute att)

    - #### dbAttributeRemoved

          void dbAttributeRemoved(DbAttribute att)

    - #### dbAttributeModified

          void dbAttributeModified(DbAttribute att)

    - #### objAttributeAdded

          void objAttributeAdded(ObjAttribute att)

    - #### objAttributeRemoved

          void objAttributeRemoved(ObjAttribute att)

    - #### objAttributeModified

          void objAttributeModified(ObjAttribute att)

    - #### dbRelationshipAdded

          void dbRelationshipAdded(DbRelationship rel)

    - #### dbRelationshipRemoved

          void dbRelationshipRemoved(DbRelationship rel)

    - #### objRelationshipAdded

          void objRelationshipAdded(ObjRelationship rel)

    - #### objRelationshipRemoved

          void objRelationshipRemoved(ObjRelationship rel)

Copyright © 2001–2018 Apache Cayenne. All rights reserved.